<p align="center">
  <br/>
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/license-MIT-green.svg?color=3F51B5&style=for-the-badge&label=License&logoColor=000000&labelColor=ececec" alt="Licencia: MIT"></a>
  <a href="https://discord.gg/D8JsnBEuKb">
    <img src="https://img.shields.io/discord/979116623879368755.svg?label=Discord&logo=Discord&style=for-the-badge&logoColor=000000&labelColor=ececec" atl="Discord"/>
  </a>
  <br/>
  <br/>
</p>

<p align="center">
<img src="design/immich-logo.svg" width="150" title="Iniciar sesión con URL personalizada">
</p>
<h3 align="center">Immich: Una solución Self-Hosted de copia de seguridad de fotos y videos de alto rendimiento</h3>
<br/>
<a href="https://immich.app">
<img src="design/immich-screenshots.png" title="Captura de pantalla principal">
</a>
<br/>
<p align="center">
  <a href="README.md">English</a>
  <a href="README_zh_CN.md">中文</a>
  <a href="README_tr_TR.md">Türkçe</a>
  <a href="README_ca_ES.md">Català</a>
</p>

## Descargo de responsabilidad

- ⚠️ El proyecto está en **desarrollo muy activo**.
- ⚠️ Es probable que haya errores y cambios disruptivos.
- ⚠️ **¡No utilices la aplicación como única forma de almacenar tus fotos y videos!**

## Contenido

- [Documentación oficial](https://immich.app/docs)
- [Hoja de ruta](https://github.com/orgs/immich-app/projects/1)
- [Demostración](#demo)
- [Funciones](#features)
- [Introducción](https://immich.app/docs/overview/introduction)
- [Instalación](https://immich.app/docs/install/requirements)
- [Directrices para contribuir](https://immich.app/docs/overview/support-the-project)
- [Apoya el proyecto](#support-the-project)

## Documentación

Puedes encontrar la documentación principal, incluidas las guías de instalación, en <https://immich.app/>.

## Demostración

Puedes acceder a la demostración web en <https://demo.immich.app>

Para la aplicación móvil, puedes usar `https://demo.immich.app/api` como `URL de la terminal del servidor`.

```bash title="Credenciales de la demostración"
Las credenciales son
correo electrónico: demo@immich.app
contraseña: demo
```

```bash
Especificaciones: VM de nivel gratuito de Oracle - Ámsterdam - CPU ARM64 de cuatro núcleos a 2.4 GHz, 24 GB de RAM
```

## Funcionalidades

| Funcionalidades                                       | Móvil | Web |
| ----------------------------------------------------- | ------ | --- |
| Cargar y ver videos y fotos                          | Sí     | Sí  |
| Copia de seguridad automática al abrir la aplicación | Sí     | N/D |
| Álbum(es) selectivo(s) para copia de seguridad       | Sí     | N/D |
| Descargar fotos y videos al dispositivo local        | Sí     | Sí  |
| Soporte multiusuario                                 | Sí     | Sí  |
| Álbum y álbumes compartidos                          | Sí     | Sí  |
| Barra de desplazamiento con función de búsqueda      | Sí     | Sí  |
| Soporte para formatos RAW                            | Sí     | Sí  |
| Visualización de metadatos (EXIF, map)              | Sí     | Sí  |
| Búsqueda por metadatos, objetos, rostros y CLIP      | Sí     | Sí  |
| Funciones administrativas (gestión de usuarios)      | No     | Sí  |
| Copia de seguridad en segundo plano                  | Sí     | N/D |
| Desplazamiento virtual                               | Sí     | Sí  |
| Soporte de OAuth                                     | Sí     | Sí  |
| Claves de API                                        | N/D    | Sí  |
| Copia de seguridad y reproducción de LivePhoto       | iOS    | Sí  |
| Estructura de almacenamiento definida por el usuario | Sí     | Sí  |
| Compartir públicamente                               | No     | Sí  |
| Archivar y marcar como favorito                      | Sí     | Sí  |
| Mapa global                                          | No     | Sí  |
| Compartir con colaboradores                          | Sí     | Sí  |
| Reconocimiento facial y agrupación                   | Sí     | Sí  |
| Recuerdos (hace x años)                              | Sí     | Sí  |
| Soporte sin conexión                                 | Sí     | No  |
| Galería de solo lectura                              | Sí     | Sí  |

## Apoya el proyecto

Me he comprometido con este proyecto, y no me detendré. Continuaré actualizando la documentación, agregando nuevas funcionalidades y corrigiendo errores. Pero no puedo hacerlo solo. Por eso, necesito tu ayuda para darme una motivación adicional para seguir adelante.

Como dijeron nuestros anfitriones en [selfhosted.show - En el episodio 'The-organization-must-not-be-name is a Hostile Actor'](https://selfhosted.show/79?t=1418), esto es una gran tarea de lo que el equipo y yo estamos haciendo. Y me encantaría poder dedicarme a esto a tiempo completo algún día, así que te pido tu ayuda para que eso sea posible.

Si consideras que esta es una causa justa y la aplicación es algo que te gustaría usar durante mucho tiempo, por favor, considera apoyar el proyecto con las siguientes opciones.

## Donación

- [Donación mensual](https://github.com/sponsors/alextran1502) a través de GitHub Sponsors
- [Donación única](https://github.com/sponsors/alextran1502?frequency=one-time&sponsor=alextran1502) a través de GitHub Sponsors
- [Librepay](https://liberapay.com/alex.tran1502/)
- [buymeacoffee](https://www.buymeacoffee.com/altran1502)
- Bitcoin: 1FvEp6P6NM8EZEkpGUFAN2LqJ1gxusNxZX
